Open Lighting Architecture: ola::plugin::spi::SoftwareBackend Class Reference

| Open Lighting Architecture 0.10.9

Loading...
Searching...
No Matches
Classes | Public Member Functions | Protected Member Functions | List of all members
ola::plugin::spi::SoftwareBackend Class Reference

## Detailed Description

An SPI Backend which uses a software multipliexer. This accumulates all data into a single buffer and then writes it to the SPI bus.

Inheritance diagram for ola::plugin::spi::SoftwareBackend:

## Classes
struct | Options

## Public Member Functions
| SoftwareBackend (const Options &options, SPIWriterInterface *writer, ExportMap *export_map)
bool | Init ()
uint8_t * | Checkout (uint8_t output, unsigned int length)
uint8_t * | Checkout (uint8_t output, unsigned int length, unsigned int latch_bytes)
void | Commit (uint8_t output)
std::string | DevicePath () const
Public Member Functions inherited from ola::thread::Thread
| Thread (const Options &options=Options())
| Create a new thread with the specified thread options.
virtual | ~Thread ()
| Destructor.
virtual bool | Start ()
| Start the thread and wait for the thread to be running.
virtual bool | FastStart ()
| Start the thread and return immediately.
virtual bool | Join (void *ptr=NULL)
| Join this thread.
bool | IsRunning ()
| Check if the thread is running.
ThreadId | Id () const
| Return the thread id.
std::string | Name () const
| Return the thread name.

## Protected Member Functions
void * | Run ()
| The entry point for the new thread.

## Additional Inherited Members
Static Public Member Functions inherited from ola::thread::Thread
static ThreadId | Self ()
| Returns the current thread's id.
Static Protected Attributes inherited from ola::plugin::spi::SPIBackendInterface
static const char | SPI_DROP_VAR [] = "spi-drops"
static const char | SPI_DROP_VAR_KEY [] = "device"

## Member Function Documentation

## ◆ Checkout() [1/2]

uint8_t * ola::plugin::spi::SoftwareBackend::Checkout | ( | uint8_t | output,
|  | unsigned int | length )
| inlinevirtual

Implements ola::plugin::spi::SPIBackendInterface.

## ◆ Checkout() [2/2]

uint8_t * ola::plugin::spi::SoftwareBackend::Checkout | ( | uint8_t | output,
|  | unsigned int | length,
|  | unsigned int | latch_bytes )
| virtual

Implements ola::plugin::spi::SPIBackendInterface.

## ◆ Commit()

void ola::plugin::spi::SoftwareBackend::Commit | ( | uint8_t | output | ) |
| virtual

Implements ola::plugin::spi::SPIBackendInterface.

## ◆ DevicePath()

std::string ola::plugin::spi::SoftwareBackend::DevicePath | ( |  | ) | const
| inlinevirtual

Implements ola::plugin::spi::SPIBackendInterface.

## ◆ Init()

bool ola::plugin::spi::SoftwareBackend::Init | ( |  | ) |
| virtual

Implements ola::plugin::spi::SPIBackendInterface.

## ◆ Run()

void * ola::plugin::spi::SoftwareBackend::Run | ( |  | ) |
| protectedvirtual

The entry point for the new thread.

Returns
  A value returned to Join().

Sub classes must implement this.

Implements ola::thread::Thread.

The documentation for this class was generated from the following files:

- plugins/spi/SPIBackend.h
- plugins/spi/SPIBackend.cpp